#whatsapp-widget {
  font-family: 'Inter', sans-serif;
}

#whatsapp-widget #whatsapp-btn {
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 230px;
  right: 20px;
  background-color: #25d366;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 2px 2px 3px rgba(0,0,0,0.3);
  z-index: 999999;
  transition: background-color 0.3s ease, transform 0.3s ease;
  padding: 0;
  border: none;
}

#whatsapp-widget #whatsapp-btn:hover {
  background-color: #1ebe57;
  transform: scale(1.1);
}

#whatsapp-widget #whatsapp-btn svg {
  width: 32px;
  height: 32px;
  fill: white;
  pointer-events: none;
}

#whatsapp-widget #whatsapp-form-container {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 380px;
  max-width: 100%;
  background: #fff;
  box-shadow: -8px 0 24px rgba(0, 0, 0, 0.15);
  border-radius: 10px 0 0 10px;
  padding: 30px 25px;
  box-sizing: border-box;
  transition: transform 0.4s cubic-bezier(0.4, 0, 0.2, 1);
  z-index: 2147483647 !important; /* máximo valor posible */
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  transform: translateX(100%);
}

#whatsapp-widget #whatsapp-form-container.active {
  transform: translateX(0);
}

#whatsapp-widget #whatsapp-form-container h3 {
  margin: 0 0 20px 0;
  font-weight: 600;
  font-size: 24px;
  color: #25d366;
}

#whatsapp-widget #close-form-btn {
  position: absolute;
  top: 20px;
  right: 20px;
  background: none;
  border: none;
  font-size: 28px;
  font-weight: 700;
  color: #aaa;
  cursor: pointer;
}

#whatsapp-widget #close-form-btn:hover {
  color: #25d366;
}

#whatsapp-widget form {
  display: flex;
  flex-direction: column;
  gap: 18px;
  flex-grow: 0;
}

#whatsapp-widget label {
  font-weight: 600;
  font-size: 14px;
  color: #444;
}

#whatsapp-widget input,
#whatsapp-widget textarea,
#whatsapp-widget select {
  font-family: inherit;
  font-size: 14px;
  padding: 12px 15px;
  border: 1.5px solid #ddd;
  border-radius: 8px;
  transition: border-color 0.3s ease;
  outline-offset: 2px;
}

#whatsapp-widget textarea {
  resize: none;
  min-height: 90px;
}

#whatsapp-widget button.whatsapp-send {
  background: #25d366;
  color: white;
  border: none;
  padding: 14px 0;
  font-size: 16px;
  font-weight: 600;
  border-radius: 8px;
  cursor: pointer;
  margin-top: auto;
  transition: background 0.3s ease, box-shadow 0.3s ease;
  width: 250px;
}

#whatsapp-widget button[type="submit"]:hover {
  background: #1ebe57;
  box-shadow: 0 8px 20px rgba(24, 176, 74, 0.6);
}

@media (max-width: 420px) {
  #whatsapp-widget #whatsapp-form-container {
    width: 100%;
    border-radius: 0;
    transform: translateX(100%);
  }

  #whatsapp-widget #whatsapp-form-container.active {
    transform: translateX(0);
  }

  #whatsapp-widget #whatsapp-btn {
    width: 48px;
    height: 48px;
  }

  #whatsapp-widget #whatsapp-btn svg {
    width: 24px;
    height: 24px;
  }
}
